#
# spec file for package libotf
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libotf
Version:        0.9.13
Release:        9.4
Summary:        Library for Handling OpenType Fonts
License:        LGPL-2.1+
Group:          System/I18n/Japanese
Url:            http://www.m17n.org/libotf/
# CVS:
#    cvs -d :pserver:anonymous@cvs.m17n.org:/cvs/m17n login
#    cvs -d :pserver:anonymous@cvs.m17n.org:/cvs/m17n co libotf
Source0:        http://download.savannah.gnu.org/releases/m17n/%{name}-%{version}.tar.gz
Source1:        baselibs.conf
Patch:          libotf-warning-fixes.diff
# patch not sent upstream, because m17n.org is currently down
Patch1:         libotf-automake-1.13.diff
BuildRequires:  freetype2-devel
BuildRequires:  libtool
BuildRequires:  xorg-x11-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Library for handling OpenType fonts,especially those needed for CJK and other non-Latin
languages.

%package -n libotf0
Summary:        Shared library for libotf
Group:          System/I18n/Japanese

%description -n libotf0
Library for handling OpenType fonts,especially those needed for CJK and other non-Latin
languages.

%package devel
Summary:        Include Files and Libraries mandatory for Development
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}
Requires:       freetype2-devel

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require %{name}.

%prep
%setup -q
%patch -p1
%patch1 -p1

%build
./autogen.sh
autoreconf --force --install --verbose
%configure --disable-static --with-pic
make %{?_smp_mflags}

%install
%makeinstall
%{__rm} -f %{buildroot}%{_libdir}/*.la

%post -n libotf0 -p /sbin/ldconfig

%postun -n libotf0 -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_bindir}/*

%files -n libotf0
%defattr(-, root, root)
%{_libdir}/libotf.so.*

%files devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/libotf.so
%{_libdir}/pkgconfig/libotf.pc

%changelog
* Mon Jun 16 2014 tiwai@suse.de
- provides/obsoletes libotf-32bit (bnc#881556)
* Mon Jul  1 2013 i@marguerite.su
- update version 0.9.13
  * configure.ac: Add AM_CONDITIONAL for X11_UNAVAILABLE.
  * example/Makefile.am (bin_PROGRAMS): Add otfview conditionally.
  * example/otfdump.c (indent_spaces): Delete it.
    (IPRINT): Do not use indent_spaces.
    (dump_anchor): Do nothing if anchor->offset is zero.
  * src/otfopen.c (read_anchor_array): Do not read an anchor if its
    offset is zero.
    (read_ligature_attach): Fix return code on error.
    (read_ligature_array): Do not read an anchor if its offset is
    zero.
    (read_lookup_subtable_gpos): Fix typo.
  * src/otfdrive.c (get_class_def_auto): Return 0 if C is negative.
* Tue Mar  5 2013 pgajdos@suse.com
- fix build with automake
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Sun Nov 20 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Tue Oct  4 2011 coolo@suse.com
- remove default requires from baselibs.conf
* Thu Aug  4 2011 tiwai@suse.de
- Fix baselibs.conf to pick up libotf0 instead of libotf
* Wed Oct 27 2010 mrdocs@opensuse.org
-fix some rpmlint warnings and run spec cleaner on the spec
* Wed Oct 27 2010 mrdocs@opensuse.org
- updated to version 0.9.12
  * Bug fixes:
  * src/otfopen.c (OTF_check_features): If language is specified but
  not found, return 0 instead of using the default langsys.
  * src/internal.h: Include alloca.h if available.
  * example/otftobdf.c: Include alloca.h if available.
  * example/otfview.c: Include alloca.h if available.
  * example/otflist.c: Include alloca.h if available.
  * src/otfopen.c (OTF_check_features): Even if no feature is
    specified, check script support.
* Thu Apr 22 2010 tiwai@suse.de
- updated to version 0.9.11:
  * New OTF_* functions required for m17n-lib 1.6.0.
  * Bug fixes
- Split libotf0 sub-package to follow shlib policy
* Thu Dec 17 2009 jengelh@medozas.de
- add baselibs.conf as a source
* Tue Mar  3 2009 crrodriguez@suse.de
- remove static libraries and "la" files
* Fri Oct 31 2008 schwab@suse.de
- Don't disable strict aliasing.
* Fri Apr 18 2008 schwab@suse.de
- Update to libotf 0.9.7.
  * src/otfdrive.c (gstring_subst): If a glyph is changed, set the
  character code to 0, and update GlyphClass.
  * example/otfdump.c (dump_chain_class_set_list): Ignore an element
  whose offset is zero.
  * src/otfdrive.c (lookup_gpos): Ignore mark glyphs while
  processing GPOS_MarkBase1.
  * src/otfdrive.c (lookup_gpos): Fix handling of IGNORED_GLYPH.
  * src/otfdrive.c (gstring_subst): If otf->cmap is NULL, set
  character code of a glyph to 0.
  (OTF_drive_gsub): If otf->cmap is NULL, try to load it.
- added baselibs.conf to build biarch compat library
* Wed Aug  1 2007 mfabian@suse.de
- update to 0.9.6:
  • src/otfdrive.c (gstring_subst): Remove a glyph if it is
  ignored because of 0 glyph ID.
- added ldconfig to post scripts.
* Wed Jan 10 2007 mfabian@suse.de
- update to 0.9.5.20070109:
  make it possible to link with C++ programs
  (Ed Trager, Kenichi Handa).
* Tue Jan  9 2007 mfabian@suse.de
- update to 0.9.5:
  • New function OTF_open_ft_face() can be used to process a font
    already opened by FreeType library.
  • The example program `otfview' accept the second argument
    INDEX.
* Mon Oct 30 2006 meissner@suse.de
- use RPM_OPT_FLAGS correctly, require freetype2-devel in -devel.
* Fri Mar  3 2006 mfabian@suse.de
- Bugzilla #154974: update to 0.9.4.
  We have updated m17n-lib to 1.3.0.20060113. This version can
  only use libotf >= 0.9.4. It won't link against libotf 0.9.3.
  In order not to loose the OpenType support in m17n-lib, we
  should update libotf as well.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Dec 28 2004 mfabian@suse.de
- update to 0.9.3.
* Mon Aug 16 2004 mfabian@suse.de
- new package: libotf, version 0.9.2.
